package backend

import (
	"git.quimbo.fr/odwrtw/canape/backend/auth"
	"git.quimbo.fr/odwrtw/canape/backend/users"

	"github.com/jmoiron/sqlx"
	polochon "github.com/odwrtw/polochon/lib"
)

// Backend represents the data backend
type Backend struct {
	Database   *sqlx.DB
	configured bool
}

// Name implements the Module interface
func (b *Backend) Name() string {
	return "canape-backend"
}

// Init implements the module interface
func (b *Backend) Init([]byte) error {
	b.configured = true
	return nil
}

// Status implements the Module interface
func (b *Backend) Status() (polochon.ModuleStatus, error) {
	return polochon.StatusOK, nil
}

// GetUser gets the username from the UserBackend
// Implements the UserBackend interface
func (b *Backend) GetUser(username string) (auth.User, error) {
	return users.Get(b.Database, username)
}
