import React from "react"
import PropTypes from "prop-types"

const ImdbLink = (props) => {
  if (!props.imdbId || props.imdbId === "") {
    return null;
  }

  return(
    <a
      className={`btn btn-warning ${props.xs ? "btn-sm" : ""}`}
      href={`http://www.imdb.com/title/${props.imdbId}`}>
      <i className="fa fa-external-link"></i> IMDB
    </a>
  );
};
ImdbLink.propTypes = {
  imdbId: PropTypes.string,
  xs: PropTypes.bool,
};

export default ImdbLink;
