import React, { useState, useEffect } from "react"
import PropTypes from "prop-types"

const ListFilter = (props) => {
  const [filter, setFilter] = useState("");

  useEffect(() => {
    // Start filtering at 3 chars
    if (filter.length >= 3) {
      props.updateFilter(filter);
    }
  }, [filter]);

  return (
    <div className="input-group input-group-sm">
      <input type="text" className="form-control"
        placeholder={props.placeHolder}
        onChange={(e) => setFilter(e.target.value)}
        value={filter} />
      <div className="input-group-append d-none d-md-block">
        <span className="input-group-text">Filter</span>
      </div>
    </div>
  );
}
ListFilter.propTypes = {
  updateFilter: PropTypes.func.isRequired,
  placeHolder: PropTypes.string.isRequired,
};
export default ListFilter;
