import React from "react"
import PropTypes from "prop-types"
import { Map } from "immutable"

const Poster = (props) => {
  const className = props.selected ? "border-primary thumbnail-selected" : "border-secondary";
  return (
    <img
      src={props.data.get("poster_url")}
      onClick={props.onClick}
      onDoubleClick={props.onDoubleClick}
      className={`my-1 m-md-2 img-thumbnail ${className}`}
    />
  );
}
Poster.propTypes = {
  data: PropTypes.instanceOf(Map),
  selected: PropTypes.bool,
  onClick: PropTypes.func,
  onDoubleClick: PropTypes.func,
};

export default Poster;
